<?php
require "header.php";

$sql = "SELECT * FROM Categorie, Categorie_per_Artikel, Artikel WHERE Artikel.ARTIKEL_ID=Categorie_per_Artikel.ARTIKEL_ID AND Categorie.CATEGORIE_ID=Categorie_per_Artikel.CATEGORIE_ID AND Categorie_per_Artikel.CATEGORIE_ID=".$_GET["catid"];

$zoek = $_POST["zoek"];

if ($zoek && ($_POST["knop"] == "zoek!")) {

	// eenvoudig zoeken
	$sql = "SELECT * FROM Artikel WHERE Naam LIKE '%$zoek%'";

} elseif ($zoek && ($_POST["knop"] == "zoek geavanceerd!")) {

	// geavanceerd zoeken
	$sql = "SELECT * 
			FROM Artikel
			WHERE MATCH (
			Naam, Omschrijving
			)
			AGAINST (
			'$zoek'
			IN BOOLEAN
			MODE 
			)";

}

$resultaat  = mysql_query($sql); // voer SQL code uit
if (mysql_num_rows($resultaat) > 0) {
	if ($zoek) {
		echo "Gezocht op <b>$zoek</b><br><p>";
	} else {
		echo "Categorie: ".$_GET["catnaam"]."<br><p>";
	}
	echo "<table border=2 cellpadding=0 cellspacing=0>";
	echo "<tr><td><b>Naam</b></td><td><b>Omschrijving</b></td><td><b>Prijs in &euro;</b></td><td>Afbeeldingen</td></tr>"; // bovenste regel
	while ($rij = mysql_fetch_array($resultaat)) {
	$artikelid = $rij["ARTIKEL_ID"];
	echo "<tr>";
	echo "<td><a href=\"winkelwagen.php?artikelid=$artikelid\">[bestel]</a>&nbsp;".$rij["Naam"]."</td>";
	echo "<td>".$rij["Omschrijving"]."</td>";
	echo "<td>".number_format($rij["Prijs"], 2, ',', ' ')."</td>";
	echo "<td>";
	$sql = "SELECT * FROM Afbeelding WHERE ARTIKEL_ID=".$rij["ARTIKEL_ID"];
		$afbeeldingen = mysql_query($sql);
		if (mysql_num_rows($afbeeldingen) > 0) {
			while ($afb_rij = mysql_fetch_array($afbeeldingen)) {
					$bestandsnaam = $sitepad.$afb_rij["AFBEELDING_ID"].$afb_rij["Bestandstype"];
					echo "<img src=\"$bestandsnaam\">&nbsp;";
				}
		} else {
		echo "Geen afbeeldingen voor dit artikel";
		}
	echo "</td></tr>";

	}
	echo "</table>";
} else {
	echo "Er zijn geen artikelen die aan deze criteria voldoen";
}

require "footer.php";
?>